summaryrefslogtreecommitdiff
path: root/cron.sh
diff options
context:
space:
mode:
authorschneefux <schneefux+commit@schneefux.xyz>2017-06-17 19:02:21 +0200
committerschneefux <schneefux+commit@schneefux.xyz>2017-06-17 19:02:21 +0200
commita798128abda047f25c42a37fd5486fff9acffcb9 (patch)
tree3b4f44b067bb3e3fae9d133238ec1adaab0dc84d /cron.sh
downloadstatus-a798128abda047f25c42a37fd5486fff9acffcb9.tar.gz
status-a798128abda047f25c42a37fd5486fff9acffcb9.zip
first version
Diffstat (limited to 'cron.sh')
-rw-r--r--cron.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/cron.sh b/cron.sh
new file mode 100644
index 0000000..109c55f
--- /dev/null
+++ b/cron.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+DATA=$(dirname "$0")/data
+LOGS="/home/timo/vainsocial/logs/logs/pm2"
+mkdir -p $DATA || exit 0
+
+PF=$DATA/apigrabber_processed # progress file
+touch $PF $PF.csv
+find $LOGS -name "apigrabber-out*__????-??-??_??-??-??.log"\
+ | sort\
+ | comm -13 $PF - \
+ | tee -a $PF \
+ | xargs grep -h "connection_end"\
+ | sed -E 's_^(.*?) - .*? API response _date=\1, _g' \
+ | mlr --fs ", " \
+ --ocsv \
+ put '$date = sec2gmt(gmt2sec($date) // (60*60*3) * (60*60*3));' \
+ then cut -f date,connection_end \
+ then stats1 -a min,mean,max -f connection_end -g date \
+ >> $PF.csv
+
+gnuplot -e "inputfile='$PF.csv'; outputfile='$PF.png';" connection_end_over_time.plt
+
+
+PF=$DATA/apigrabber_error_processed # progress file
+touch $PF $PF.csv
+find $LOGS -name "apigrabber-error*__????-??-??_??-??-??.log"\
+ | sort\
+ | comm -13 $PF - \
+ | tee -a $PF \
+ | xargs grep -h " API error "\
+ | sed -E 's_^(.*?) - .*? API error _date=\1, _g' \
+ | mlr --fs ", " \
+ --ocsv \
+ put '$date = sec2gmt(gmt2sec($date) // (60*60*3) * (60*60*3));' \
+ then cut -f date \
+ then stats1 -a count -f date -g date \
+ >> $PF.csv
+
+gnuplot -e "inputfile='$PF.csv'; outputfile='$PF.png';" errors_over_time.plt